org.eclipse.jetty.websocket

## Class WebSocketParserD06

- java.lang.Object
- - org.eclipse.jetty.websocket.WebSocketParserD06

- All Implemented Interfaces:
    WebSocketParser

      public class WebSocketParserD06
      extends Object
      implements WebSocketParser

  Parser the WebSocket protocol.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WebSocketParserD06.State`

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.websocket.WebSocketParser

      `WebSocketParser.FrameHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebSocketParserD06(WebSocketBuffers buffers, EndPoint endp, WebSocketParser.FrameHandler handler, boolean masked)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fill(Buffer buffer)`
    `Buffer` | `getBuffer()`
    `boolean` | `isBufferEmpty()`
    `int` | `parseNext()` Parse to next event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocketParserD06

          public WebSocketParserD06(WebSocketBuffers buffers,
                            EndPoint endp,
                            WebSocketParser.FrameHandler handler,
                            boolean masked)

      Parameters:
        `buffers` - The buffers to use for parsing. Only the `Buffers.getBuffer()` is used. This should be a direct buffer if binary data is mostly used or an indirect buffer if utf-8 data is mostly used.
        `endp` - the endpoint
        `handler` - the handler to notify when a parse event occurs
        `masked` - whether masking should be handled

  - ### Method Detail

    - #### isBufferEmpty

          public boolean isBufferEmpty()

      Specified by:
        `isBufferEmpty` in interface `WebSocketParser`

    - #### getBuffer

          public Buffer getBuffer()

      Specified by:
        `getBuffer` in interface `WebSocketParser`

    - #### parseNext

          public int parseNext()

      Parse to next event. Parse to the next `WebSocketParser.FrameHandler` event or until no more data is available. Fill data from the `EndPoint` only as necessary.
      Specified by:
        `parseNext` in interface `WebSocketParser`
      Returns:
        An indication of progress or otherwise. -1 indicates EOF, 0 indicates that no bytes were read and no messages parsed. A positive number indicates either the bytes filled or the messages parsed.

    - #### fill

          public void fill(Buffer buffer)

      Specified by:
        `fill` in interface `WebSocketParser`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.